summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorKarl Berry <karl@freefriends.org>2013-07-15 18:24:41 +0000
committerKarl Berry <karl@freefriends.org>2013-07-15 18:24:41 +0000
commita17cdad50631e2002b1909a145475c3d61004e40 (patch)
tree3bfee4c74268a88a2797b98030371716b2d4caad
parentd5ff083c5b5321afc523ceeb658fef25d337e7bf (diff)
handle cstex packages
git-svn-id: svn://tug.org/texlive/trunk@31200 c570f23f-e606-0410-a88d-b1316a301751
-rwxr-xr-xMaster/tlpkg/bin/tlpkg-ctan-check19
1 files changed, 18 insertions, 1 deletions
diff --git a/Master/tlpkg/bin/tlpkg-ctan-check b/Master/tlpkg/bin/tlpkg-ctan-check
index 9a69d8ccdfa..75fbcd0a1c0 100755
--- a/Master/tlpkg/bin/tlpkg-ctan-check
+++ b/Master/tlpkg/bin/tlpkg-ctan-check
@@ -140,7 +140,7 @@ my @TLP_working = qw(
coverpage covington
cprotect
crbox crop crossreference crossword crosswrd cryst
- csbulletin cslatex csplain csquotes csquotes-de csvsimple csvtools cstex
+ cs csbulletin cslatex csplain csquotes csquotes-de csvsimple csvtools cstex
ctanify ctanupload ctable ctex ctex-faq
cursolatex cuisine
currfile currvita curve curve2e curves
@@ -700,11 +700,28 @@ sub do_tlp {
# csplain and cslatex have .tar.gz's that need to be unpacked for
# comparison. (perhaps this should be done in tlpkginfo.) but don't
# do any unpacking inside the ctan hierarchy.
+ chomp (my $ctan_root = `$mydir/tlpkginfo --ctan-root`);
if ($ctan_dir !~ m,^$ctan_root,) {
for my $tgz (glob ("$ctan_dir/*.tar.gz")) {
system ("tar -C $ctan_dir -xf $tgz");
}
}
+
+ # One more total kludge. We should probably put this into tlpkginfo
+ # and factor it out from here and ctan2tds.
+ if ($tlpn eq "cs") {
+ $TMPDIR = $ENV{"TMPDIR"} || "/tmp";
+ my $pkgdir = "$TMPDIR/tl.$pkgname";
+ system ("rm -rf $pkgdir");
+ mkdir ($pkgdir, 0777) || die "mkdir($pkgdir) failed: $!";
+ #
+ # unpack the multiple constituent tarballs.
+ for my $tarbase ("csfonts-t1", "csfonts", "cspsfonts") {
+ system ("tar -C $pkgdir -xf $ctan_dir/$tarbase.tar.gz");
+ }
+ # look in the new dir we just created.
+ $ctan_dir = $pkgdir;
+ }
my @tl_files = ();
push @tl_files, $tlp->runfiles;